Bug 428481

Summary: F7->F8 upgrade: external storage not detected by HAL
Product: [Fedora] Fedora Reporter: Dmitry Mikhailov <sexandvodka>
Component: halAssignee: David Zeuthen <davidz>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:46:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Original, bad contents of /usr/share/hal directory none

Description Dmitry Mikhailov 2008-01-11 17:09:36 EST
Hi,
I upgraded my (fairly recent) version of Fedora7 to Fedora8 couple days ago. 
Same day I 'yum update' it.

Hardware: IBM X41 laptop. Kernel 2.6.23.9-85.fc8PAE #1 SMP (stock, updated)
udev ver. 116
hald ver. 0.5.10

Problem: Insert a USB flash card or an SD to the internal reader: links appear 
in /dev, but no activity in HALd.

I expected the external media to be detected by HAL and then mount by KDE as 
it was under F7 and earlier.

FYI: No custom udev or hal rules were created, no OS shipped files were edited.

Temporal (bad) solution: 
create an udev rule just like in Fedora7:

[root@routerF7 rules.d]# cat 90-hal.rules
# pass all events to the HAL daemon
RUN+="socket:/org/freedesktop/hal/udev_event"
 
Final solution:
reset HAL rules to default by removing dir /usr/share/hal and reinstalling hal.

Before reinstalling hald:
[root@ibm 10osvendor]# pwd
/usr/share/hal/fdi/policy/10osvendor
[root@ibm 10osvendor]# ls -1
10-cpufreq.fdi
10-dell-laptop-brightness.fdi
10-hal_lpadmin.fdi
10-hplip.fdi
10-ibm-buttons.fdi
10-input-policy.fdi
10-keymap.fdi
10-laptop-panel-mgmt-policy.fdi
10-macbook-backlight.fdi
10-macbookpro-utils.fdi
10-power-mgmt-policy.fdi
10-rfkill-switch.fdi
10-toshiba-buttons.fdi
10-usbcsr-mice.fdi
10-x11-input.fdi
15-storage-luks.fdi
20-acl-management.fdi
20-storage-methods.fdi
<18 files total>

After removing dir and reinstalling hald:
[root@ibm 10osvendor]# ls -1
10-cpufreq.fdi
10-dell-laptop-brightness.fdi
10-ibm-buttons.fdi
10-input-policy.fdi
10-keymap.fdi
10-laptop-panel-mgmt-policy.fdi
10-macbook-backlight.fdi
10-macbookpro-utils.fdi
10-power-mgmt-policy.fdi
10-rfkill-switch.fdi
10-toshiba-buttons.fdi
10-usbcsr-mice.fdi
10-x11-input.fdi
15-storage-luks.fdi
20-acl-management.fdi
20-storage-methods.fdi
<16 files total>

Possible problem: The contents of /usr/share/hal/fdi/policy/10osvendor were not 
deleted before writing new rules during update of hal.

P.S. I backed up the original '/usr/share/hal' dir so it's available for 
investigation (tar.gz is attached)
Comment 1 Dmitry Mikhailov 2008-01-11 17:09:36 EST
Created attachment 291425 [details]
Original, bad contents of /usr/share/hal directory
Comment 2 Bug Zapper 2008-11-26 04:23:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:46:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.